dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Распечатка нескольких листов одновременно

Распечатка нескольких листов одновременно

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 02.08.2012, 06:49
Распечатка нескольких листов одновременно
antisept
 
Регистрация: 04.04.2012
Сообщений: 5

antisept вне форума Вставить имя

Здравствуйте! Часто приходиться работать в автокаде. В модели, всегда 50-100 чертежей. И чтобы все их распечатать, уходит много времени, т.к. нужно выделять каждый чертеж с помощью рамки и посылать на печать. Можно ли как-то упростить это процесс? Т.е., например, сначала все выделить, а потом, отправить все на печать, как в MsWord. Все чертежи имеют одинаковый размер А4. Заранее спасибо)
Просмотров: 59146
 
Непрочитано 03.08.2012, 16:24
1 | 2 #21
CaMoCAD


 
Регистрация: 25.03.2008
Зелик
Сообщений: 1,349
Отправить сообщение для CaMoCAD с помощью ICQ Отправить сообщение для CaMoCAD с помощью MSN


Цитата:
Сообщение от kifa Посмотреть сообщение
а можно сразу чертеж в листе оформлять и тогда потом не надо тратить время просто печатаем, просто приучиться надо
Никто не тратит время, я только что показал, что это ничуть не дольше.
Откуда такая уверенность, что использование листов есть непременное, совершенно необходимое и единственно правильное решение? Целая тема была - 25 страниц люди спорили, находя плюсы и минусы обоих способов... А Вы вот взяли и рассудили - вот так правильно, а так нет. И даже "имхо" не добавили.

Меня, например, бесит постоянные тормоза от регенерации при переключении меж листами. Еще не нравится аннотативность назойливая, список масштабов на дрожжах растущий, вот эти заморочки с масштабом типов линий. Не нравится искать нужный лист на 150 вкладках: если листы называть нормально, то их 3 шт. на экран влазит, а если нумеровать, - то не вспомнить через день, что именно находится на листе №78. Мне не хочется плодить 150 рабочих файлов по принципу 1 файл - 1 чертеж, я просто не понимаю, как это: поэтажный план в одном файле, вертикальный разрез - в другом, узлы в файлах № 3-150. А если нужно вставить в готовый проект лист №3, то мне лично не хочется открывать все 147 файлов, чтобы изменить на каждой форматке нумерацию и количество листов. Разве поиск с заменой по одному файлу не проще?

Я могу работать в листе, но, взвесив + и -, решил отказаться от них. Вы не против?

В общем, я не призываю никого, не агитирую, не учу. Я делаю так, как удобно мне с учетом моих обстоятельств (конфиг рабочего компа, требования нормоконтроля и прочая). Надоели просто люди в отглаженных джинсах, которые всегда априори правы. И эта их уверенность подчерпнута из древнего руководства autocad R10 с плохим переводом.
__________________
* Буква "ё" не используется в тексте исключительно в связи с требованиями ЕСКД.
CaMoCAD вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 03.08.2012, 17:08
#22
Владимир.

Проектирую
 
Регистрация: 10.01.2005
Сообщений: 3,668


Цитата:
Сообщение от CaMoCAD Посмотреть сообщение
А если нужно вставить в готовый проект лист №3,
Не нужно вставлять №3, вставьте №148.
Цитата:
Сообщение от CaMoCAD Посмотреть сообщение
а если нумеровать, - то не вспомнить через день, что именно находится на листе №78.
Посмотрите в Общих данных.
Цитата:
Сообщение от CaMoCAD Посмотреть сообщение
Я могу работать в листе, но, взвесив + и -, решил отказаться от них. Вы не против?
Да, кто же против. Работайте.
Цитата:
Сообщение от CaMoCAD Посмотреть сообщение
плюсы и минусы обоих способов... А Вы вот взяли и рассудили - вот так правильно, а так нет. И даже "имхо" не добавили.
ИМХО уже и не нужно. Листы - это прогресс
Буквально сегодня дали строительный чертеж, всё в моделе. План фундаментов эстакады трубопроводов. Эстакада длинная, даже на большем листе не помещается. Ну, её, естественно, порезали на несколько частей по длине листа. А мне теперь мучайся, собирай её из кусков
Владимир. вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 03.08.2012, 17:13
#23
asys

архитектор
 
Регистрация: 10.08.2005
Ростов-на-Дону
Сообщений: 4,836
Отправить сообщение для asys с помощью Skype™


CaMoCAD, работы с такой кипой, для более удобного поиска нужного листа, для удобной нумерации, много чего еще была придумана ..... подшивка
Лично мне нравится, что я могу просто распечатать ворох листов одного формата на однократно сделаные настройки печати, с минимальным телодвижением. Мне нравится анотативность, хотя она и капризная. Но у меня всего один план в разных листах и разных масштабах. Мне нравится что в разных масштабах пунктир у меня будет одного размера. Мне нравится что не надо чертить лишнего, когда можно разные чертежи сконструировать с помощью видовых окон с одним и тем же содержимым, что могу его перекомпоновать в любой момент не двигая объектов чертежа, могу начертить стропильную ферму всю целиком в одном месте со всем фаршем, а потом теми же окнами сделать любые чертежи любых масштабов, не двигая саму ферму. И так далее и тому подобное.

P.S. джинсы не ношу, автокада 10-го не видел, а руководство изучил ко всем версиям начиная с 2000-й
asys вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 03.08.2012, 17:35
#24
CaMoCAD


 
Регистрация: 25.03.2008
Зелик
Сообщений: 1,349
Отправить сообщение для CaMoCAD с помощью ICQ Отправить сообщение для CaMoCAD с помощью MSN


Цитата:
Сообщение от Владимир. Посмотреть сообщение
Не нужно вставлять №3, вставьте №148.
Ну вот, опять кто-то лучше меня знает, что мне нужно...
Цитата:
Сообщение от Владимир. Посмотреть сообщение
Цитата:
Сообщение от CaMoCAD
а если нумеровать, - то не вспомнить через день, что именно находится на листе №78.
Посмотрите в Общих данных.
Ага, конечно же там все подробно расписано. Вы, наверное, и ctrl+shift+V никогда (слышите, НИКОГДА!) не пользуетесь, и всякий временный блок у Вас называется типа "Осевые линии для отверстия %%c 8 на слое Оси в масштабе 1:4" Ну-ну...
Цитата:
Сообщение от Владимир. Посмотреть сообщение
Цитата:
Сообщение от CaMoCAD
Я могу работать в листе, но, взвесив + и -, решил отказаться от них. Вы не против?
Да, кто же против. Работайте.
Цитата:
Сообщение от CaMoCAD
плюсы и минусы обоих способов... А Вы вот взяли и рассудили - вот так правильно, а так нет. И даже "имхо" не добавили.
ИМХО уже и не нужно. Листы - это прогресс
Кто так говорит?
Любовь - это боржоми. И не спорьте.
Цитата:
Сообщение от Владимир. Посмотреть сообщение
Буквально сегодня дали строительный чертеж, всё в моделе. План фундаментов эстакады трубопроводов. Эстакада длинная, даже на большем листе не помещается. Ну, её, естественно, порезали на несколько частей по длине листа. А мне теперь мучайся, собирай её из кусков
Буквально сегодня мне передали чертежи, выполненные наполовину в в-порте (узлы), наполовину - в листах (штриховка, размеры, выноски, примечания). А мне мучайся, - собирай ее из кусков.

P.S. asys, я ведь ворчу не на листы, а на людей, "погрязших в своей правоте"©
__________________
* Буква "ё" не используется в тексте исключительно в связи с требованиями ЕСКД.

Последний раз редактировалось CaMoCAD, 03.08.2012 в 17:49.
CaMoCAD вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 03.08.2012, 17:53
#25
forMA


 
Регистрация: 25.08.2005
Сообщений: 2,565


Цитата:
Сообщение от antisept Посмотреть сообщение
В модели, всегда 50-100 чертежей.
Значится, в Model находятся модели чертежа. Особого смысла формировать процесс печати из Layouts нет. Оптимальный вариант распечатать в PDF, а потом множить, множить, множить сколько душе угодно.
forMA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 12.04.2013, 17:07
#26
sasha_lif

Дизайнер-конструктор
 
Регистрация: 29.05.2004
Kiev
Сообщений: 1,181
Отправить сообщение для sasha_lif с помощью ICQ


Подскажите, как поправить код
Написал сам, вроде работает.
Не сильно разбираюсь,как сделать:
Сейчас программа автоматически находит и печатает ВСЕ рамки-блоки.

А хотелось бы задать область (т.е. обвожу часть чертежа, и только там ищутся эти рамочки для распечатки)

Код:
[Выделить все]
 (defun c:asd (/ )
  (vl-load-com)
  (setq s1 (ssget "_X" (list (assoc 8 (entget (car (entsel "Выберите объект, находящийся на необходимом слое: ")))))))	
  (setq l1 (sslength s1))

(setq  blip (getvar "BLIPMODE"))
(setq  echo (getvar "CMDECHO"))
(setvar "CMDECHO"  0)
(setvar "BLIPMODE" 0)

  
(setq i 0) 
(while (< i= l1) 
	
  (setq s11 (ssname s1 i))
  (setq a_nach (entget s11))
  (setq a (entget s11)) ; получение списка со всеми координатами точек прямоугольника
  
  	(setq t1 (assoc 10 a))    (setq t1_x (car (cdr t1))) (setq t1_y (car (cdr (cdr t1))))
	(setq a (subst '(11 11stop) t1 a))
	(setq t2 (assoc 10 a))    (setq t2_x (car (cdr t2))) (setq t2_y (car (cdr (cdr t2))))
	(setq a (subst '(11 11stop) t2 a))
	(setq t3 (assoc 10 a))    (setq t3_x (car (cdr t3))) (setq t3_y (car (cdr (cdr t3))))
	(setq a (subst '(11 11stop) t3 a))
	(setq t4 (assoc 10 a))    (setq t4_x (car (cdr t4))) (setq t4_y (car (cdr (cdr t4))))
	
	

	(setq tdiag_x_max (max t2_x t3_x t4_x))
	(setq tdiag_y_max (max t2_y t3_y t4_y))
	(setq tdiag_x_min (min t2_x t3_x t4_x))
	(setq tdiag_y_min (min t2_y t3_y t4_y))



(setq point1 (list tdiag_x_min tdiag_y_min))
(setq point2 (list tdiag_x_max tdiag_y_max))

(setq Dy (- tdiag_y_max tdiag_y_min))
(setq Dx (- tdiag_x_max tdiag_x_min))

(setq Dyx (/ Dy Dx))

(if (> Dy Dx ) (setq ugol "P")(setq ugol "l"))

(command "_-plot" "y"  ""  ""  ""  ""  ugol  ""   "" point1 point2 ""  ""  ""   ""  ""  ""   ""  ""   "")
(setq i (1+ i))

)

(setvar "CMDECHO"  echo)
(setvar "BLIPMODE" blip)

)
Вложения
Тип файла: lsp asd.lsp (2.1 Кб, 248 просмотров)
Тип файла: dwg
DWG 2007
asd.dwg (118.4 Кб, 6380 просмотров)
__________________
Kiev, Ukraine

Последний раз редактировалось sasha_lif, 15.04.2013 в 11:28.
sasha_lif вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 15.04.2013, 09:12
#27
ssn

Инженер проектировщик (раздел ТМ - фриланс)
 
Регистрация: 06.12.2003
Воронеж
Сообщений: 1,141
Отправить сообщение для ssn с помощью Skype™


вот тут есть мой макрос для печати.
единственное но. рамки форматок должны быть нарисованы в масштабе 1 к 1 и иметь определённые свойства для поиска.
постоянно пользуюсь этим макросом, меня все устраивает.

в моей программе привязывается не какой то конктретный чертёж к принтеру, а конкретный размер форматки к принтеру. Т.е. в настойках задаём что печатаем А4 на принтер 1, А3 на принтер 2 и так далее. Потом программа ищет по наружным рамкам все форматы, и по их размеру определяет тип формата.
Она сравнивает размер формата из чертежа с размером настроенного формата листа для печати на каждом принтере, если совпадает с каким либо из списка - происходит печать, если в списке такого формата нет - будет предложено настроить для такого формата...
тоесть, если есть какой то нестандартный формат (например 1500х540), то в насройках принтера должен быть такой размер бумаги.
ЕЩЁ:
- При поиске форматок на листе программа ищет наружные рамки. Они лежат на слое 0 и имеют скейл фактор 211175 (полилинии). Все что попадает под это определение по мненю программы - границы печатаемой области. Даже просто прямая линия с такими свойствами иммет границы и будет воспринята как фортатка... Тоесть, внешние границы форматок можно создавать простым копированием.
- На момент написания программы я был жеско уверен, что слой 0 является служебным, по этому на нём ничего не должно быть. На маленьких форматах слой 0 не печатаемый, на больших - печатаемый. связано с границами печати....
ssn вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 30.04.2013, 16:47
#28
sasha_lif

Дизайнер-конструктор
 
Регистрация: 29.05.2004
Kiev
Сообщений: 1,181
Отправить сообщение для sasha_lif с помощью ICQ


Код:
[Выделить все]
 (setq s1 (ssget "_X" (list (assoc 8 (entget (car (entsel "Выберите объект, находящийся на необходимом слое: "))))))) 
Все-таки, кто поможет подправить код из №26 (подозреваю что надо исправить всего лишь эту строку ):

Сейчас программа автоматически находит и печатает ВСЕ рамки-блоки.

А хотелось бы задать область (т.е. обвожу часть чертежа, и только там ищутся эти рамочки для распечатки)
__________________
Kiev, Ukraine
sasha_lif вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 30.04.2013, 19:51
#29
Дима_

Продуман
 
Регистрация: 22.02.2007
Питер
Сообщений: 2,838


убрать "_X"
p.s. совсем - вместе с кавычками
__________________
Когда в руках молоток все вокруг кажется гвоздями.
Дима_ вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 30.04.2013, 20:10
#30
sasha_lif

Дизайнер-конструктор
 
Регистрация: 29.05.2004
Kiev
Сообщений: 1,181
Отправить сообщение для sasha_lif с помощью ICQ


Дима_, СПАСИБО, как все просто !!!
Чтобы не усложнять и не путать людей, вбил просто имя слоя напрямую:
Код:
[Выделить все]
 (setq s1 (ssget  (list  '(8 . "format") )))
__________________
Kiev, Ukraine

Последний раз редактировалось sasha_lif, 30.04.2013 в 20:25.
sasha_lif вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 03.05.2013, 13:44
#31
sasha_lif

Дизайнер-конструктор
 
Регистрация: 29.05.2004
Kiev
Сообщений: 1,181
Отправить сообщение для sasha_lif с помощью ICQ


357 скачиваний лиспа и файла для групповой распечатки чертежей из №26- у всех работает? Замечания есть?
__________________
Kiev, Ukraine
sasha_lif вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 03.05.2013, 14:09
#32
perpetule


 
Регистрация: 23.09.2008
Волгоград
Сообщений: 791
Отправить сообщение для perpetule с помощью ICQ Отправить сообщение для perpetule с помощью Skype™


sasha_lif,
Не работает,

Команда: asd

Выберите объекты: найдено: 1

Выберите объекты:
Неизвестная команда "ASD". Для вызова справки нажмите F1.
Неизвестная команда "ASD". Для вызова справки нажмите F1.
Неизвестная команда "ASD". Для вызова справки нажмите F1.
Неизвестная команда "ASD". Для вызова справки нажмите F1.
Неизвестная команда "L". Для вызова справки нажмите F1.
Неизвестная команда "ASD". Для вызова справки нажмите F1.
Неизвестная команда "ASD". Для вызова справки нажмите F1.
Неизвестная команда "ASD". Для вызова справки нажмите F1.
Неизвестная команда "ASD". Для вызова справки нажмите F1.
Неизвестная команда "ASD". Для вызова справки нажмите F1.
Неизвестная команда "ASD". Для вызова справки нажмите F1.
Неизвестная команда "ASD". Для вызова справки нажмите F1.
Неизвестная команда "ASD". Для вызова справки нажмите F1.
Неизвестная команда "ASD". Для вызова справки нажмите F1.
Неизвестная команда "ASD". Для вызова справки нажмите F1.
Неизвестная команда "ASD". Для вызова справки нажмите F1.
; ошибка: неверный тип аргумента: lentityp nil


7 просмотров, на *.dwg счетчик лагает. (просмотр страницы - видимо)

вот это у меня работает, (выбор рамок - руками), масштаб 1:1


Код:
[Выделить все]
 ;Ansichtsfenster erzeugen.
;(c)2011 iLkraret (ilkraret@gmail.com)
;МАКРОС НА КНОПКУ С ПРОВЕРКОЙ НА ЗАГРУЗКУ
;   ^C^C(IF (NULL C:AF)(LOAD "AF.LSP"));AF;
;
;МАКРОС НА КНОПКУ- ДЛЯ СОЗДАНИЯ ОДНОГО ВЭ И ПЕРЕХОДА НА ЛИСТ
;   ^C^CAF;\\1;;;^C^C_.TILEMODE 0;
;
;МАКРОС НА КНОПКУ - ПРОВЕРКА НА ЗАГРУЗКУ - СОЗДАНИЕ ОДНОГО ВЭ И ПЕРЕХОД НА ЛИСТ
;   ^C^C(IF (NULL C:AF)(LOAD "AF.LSP"));AF;\\1;;;^C^C_.TILEMODE 0;
;
(defun c:af ( / )
	(setvar "cmdecho" 0) ; Turn off command line echoing
	(setq layoutname (getvar "ctab")); Store current tab name

	(if (/= layoutname "Model") ; Must be started from a layout tab to establish destination, quit quietly if on Model tab
		(progn
			(setvar "tilemode" 1) 
			(setq modellunitsmulti 1)
			
			(setq p1 (getpoint "\nУкажите одну из вершин области: "))  
			(setq p2 (getcorner p1 "\nУкажите противоположную вершину области: "))

			(setq units (getvar "insunits")); Store current insunits

			(if (equal units 1) (setq modellunitsmulti 25.4))
			(if (equal units 2) (setq modellunitsmulti 304.8))
			(if (equal units 3) (setq modellunitsmulti 1609344))
			(if (equal units 5) (setq modellunitsmulti 10))
			(if (equal units 6) (setq modellunitsmulti 1000))
			(if (equal units 7) (setq modellunitsmulti 1000000))
			(if (equal units 8) (setq modellunitsmulti 25400000))
			(if (equal units 9) (setq modellunitsmulti 25400))
			(if (equal units 10) (setq modellunitsmulti 914.4))
			(if (equal units 11) (setq modellunitsmulti 0.0000001))
			(if (equal units 12) (setq modellunitsmulti 0.000001))
			(if (equal units 13) (setq modellunitsmulti 0.001))
			(if (equal units 14) (setq modellunitsmulti 100))
			(if (equal units 15) (setq modellunitsmulti 10000))
			(if (equal units 16) (setq modellunitsmulti 100000))
			(if (equal units 17) (setq modellunitsmulti 10000000000000))
			(if (equal units 18) (setq modellunitsmulti 149597806297768))
			(if (equal units 19) (setq modellunitsmulti 9460469428493040000))
			(if (equal units 20) (setq modellunitsmulti 30856959478640800000))

			(setq mass (getreal  "\nMasstab - 1:"))
			(setq vpxd (* (/ (abs (- (car p1) (car p2))) mass) modellunitsmulti)) ; Determine horizontal length of selected window
			(setq vpyd (* (/ (abs (- (cadr p1) (cadr p2))) mass) modellunitsmulti)) ; Determine vertical height of selected window
			(setq vpc (list (/ (+ (car p1) (car p2)) 2.0) (/ (+ (cadr p1) (cadr p2)) 2.0) 0.0)) ; Determine center point of selected model window
			(setvar "ctab" layoutname)
			(command "_mview" "0,0" (strcat "@" (rtos vpxd) "," (rtos vpyd))) ; Create Paper Space viewport
			(setq ssvp (ssget "_L")) ; Start selection set with last viewport frame
			(command "_mspace") ; Open viewport window to Model Space
			(command "_zoom" "_C" vpc (rtos vpyd)) ; Center view of viewport window using determined point
			(command "_zoom" "_SCALE" (strcat (rtos (/ modellunitsmulti mass)) "xp")) ; Set zoom scale of viewport window
			(command "_vports" "_LOCK" "_ON" ssvp "") ; Lock scale and position of model in viewport
			(command "_pspace") ; Close viewport window
 
			(command "._move" ssvp "" "0,0" pause )
		)
		(princ "\nThis command must be started from a layout sheet!") ; Need to start on a layout tab so program knows where to create the new viewports
	) 
(setvar "cmdecho" 1) ; Turn on command line echoing
)


Из этой темы
http://forum.dwg.ru/showthread.php?t=71887
Смысл и применение
Идем в пространство листа, жмем кнопку или вводим с клавиатуры AF
Программа прыгвет в модель, вы задаете область модели, которую хотите разместить в видовом экране, масштаб и.. и расополагаете разещенный уже на вашем курсоре видовой экран.


И здесь другое решение, только штатными средствами автокада (выбор рамок - руками).

и здесь программно от bargool (выбор рамок - руками, или программно по имени блока форматки).
Миниатюры
Нажмите на изображение для увеличения
Название: Image ___2013_05_03___000____.gif
Просмотров: 120
Размер:	1.6 Кб
ID:	102424  

Последний раз редактировалось perpetule, 08.08.2013 в 07:40.
perpetule вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 03.05.2013, 15:23
#33
sasha_lif

Дизайнер-конструктор
 
Регистрация: 29.05.2004
Kiev
Сообщений: 1,181
Отправить сообщение для sasha_lif с помощью ICQ


perpetule, блин, так подгрузи лисп.
Как это у тебя моя прога спрашивает :
Цитата:
Выберите объекты: найдено: 1
Если в коде зашито:
Цитата:
Выберите объект, находящийся на необходимом слое:
Фишка моей проги, что руками НИЧЕГО не надо по одному выделять. Скопом секущей рамкой выбираете область чертежа. Автоматически находятся синие рамки, лежащие на отдельном слое format, и по ним распечатывается все чертежи.При этом чертежи могут быть произвольного масштаба!
Попробуй это
Код:
[Выделить все]
 (defun c:asd (/ )
  (vl-load-com)



(princ "\nВыделите чертежи, предназначенные для печати")
;(setq s2 (ssget "P" '((8 . "format")) ) )


;(setq s1 (ssget  (list (assoc 8 (entget (car (entsel "Выберите объект,5 находящийся на необходимом слое: "))))  )))	

(setq s1 (ssget  (list  '(8 . "format") )))	


  (setq l1 (sslength s1))

(setq  blip (getvar "BLIPMODE"))
(setq  echo (getvar "CMDECHO"))
(setvar "CMDECHO"  0)
(setvar "BLIPMODE" 0)

  
(setq i 0) 
(while (< i= l1) 
	
  (setq s11 (ssname s1 i))
  (setq a_nach (entget s11))
  (setq a (entget s11)) ; получение списка со всеми координатами точек прямоугольника
  
  	(setq t1 (assoc 10 a))    (setq t1_x (car (cdr t1))) (setq t1_y (car (cdr (cdr t1))))
	(setq a (subst '(11 11stop) t1 a))
	(setq t2 (assoc 10 a))    (setq t2_x (car (cdr t2))) (setq t2_y (car (cdr (cdr t2))))
	(setq a (subst '(11 11stop) t2 a))
	(setq t3 (assoc 10 a))    (setq t3_x (car (cdr t3))) (setq t3_y (car (cdr (cdr t3))))
	(setq a (subst '(11 11stop) t3 a))
	(setq t4 (assoc 10 a))    (setq t4_x (car (cdr t4))) (setq t4_y (car (cdr (cdr t4))))
	
	;(if (and (/= t1_x t2_x)(/= t1_y t2_y)) (setq tdiag_x t2_x tdiag_y t2_y )    )
	;(if (and (/= t1_x t3_x)(/= t1_y t3_y)) (setq tdiag_x t3_x tdiag_y t3_y )    )
	;(if (and (/= t1_x t4_x)(/= t1_y t4_y)) (setq tdiag_x t4_x tdiag_y t4_y )    )

	;(setq tdiag_x (max t2_x t3_x t4_x))
	;(setq tdiag_y (max t2_y t3_y t4_y))



	(setq tdiag_x_max (max t2_x t3_x t4_x))
	(setq tdiag_y_max (max t2_y t3_y t4_y))
	(setq tdiag_x_min (min t2_x t3_x t4_x))
	(setq tdiag_y_min (min t2_y t3_y t4_y))



(setq point1 (list tdiag_x_min tdiag_y_min))
(setq point2 (list tdiag_x_max tdiag_y_max))

(setq Dy (- tdiag_y_max tdiag_y_min))
(setq Dx (- tdiag_x_max tdiag_x_min))



;(setq point1 (list t1_x t1_y))
;(setq point2 (list tdiag_x tdiag_y))

;(setq x1 (min tdiag_x t1_x)) (setq x2 (max tdiag_x t1_x))
;(setq y1 (min tdiag_y t1_y)) (setq y2 (max tdiag_y t1_y)) 

;(setq Dy (- y2 y1))
;(setq Dx (- x2 x1))

(setq Dyx (/ Dy Dx))

(if (> Dy Dx ) (setq ugol "P")(setq ugol "l"))

(command "_-plot" "y"  ""  ""  ""  ""  ugol  ""   "" point1 point2 ""  ""  ""   ""  ""  ""   ""  ""   "")
(setq i (1+ i))

)

(setvar "CMDECHO"  echo)
(setvar "BLIPMODE" blip)


)


(progn
(princ "\n=========== Автоматический поиск и печать чертежей=================")
(princ "\n           Разработал sasha_lif@rambler.ru")
(princ "\n           Для запуска наберите asd ")
(princ )
)
__________________
Kiev, Ukraine

Последний раз редактировалось sasha_lif, 03.05.2013 в 15:29.
sasha_lif вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 03.05.2013, 15:31
#34
maratovich


 
Регистрация: 12.07.2009
г. Самара
Сообщений: 2,232
Отправить сообщение для maratovich с помощью Skype™


Цитата:
Сообщение от perpetule Посмотреть сообщение
Из этой темы
http://forum.dwg.ru/showthread.php?t=71887
Смысл и применение
Идем в пространство листа, жмем кнопку или вводим с клавиатуры AF
Программа прыгвет в модель, вы задаете область модели, которую хотите разместить в видовом экране, масштаб и.. и расополагаете разещенный уже на вашем курсоре видовой экран.
И здесь другое решение, только штатными средствами автокада (выбор рамок - руками).
и здесь программно от bargool (выбор рамок - руками).
Как вариант можно всё автоматом сделать вот этой штукой
__________________
Вопрос : Где находится Тургай ? Ответ : Между Парагваем и Уругваем.....
maratovich вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 03.05.2013, 15:45
#35
perpetule


 
Регистрация: 23.09.2008
Волгоград
Сообщений: 791
Отправить сообщение для perpetule с помощью ICQ Отправить сообщение для perpetule с помощью Skype™


sasha_lif,
Цитата:
блин, так подгрузи лисп
(старый выгружен), новый подгружен
Я так понимаю на принтер по умолчанию (тестовый dwg) ?
Какой принтер?

Команда: asd

Выделите чертежи, предназначенные для печати
Выберите объекты: Противоположный угол: найдено: 6

Выберите объекты:
; ошибка: неверный тип аргумента: numberp: nil


Какой - то процесс идет и ранне, и обновленный, но на выходе ничего нет, и сообщения по f2 аналогичны.

sasha_lif и я никого не хотел задеть, истина как всегда где-то рядом или в вине, но получив надцать pdf в вашем варианте их надо или переименовывать или склеивать в один pdf и сортировать ( руками)?
Документ как правило сейчас требуют и в бумаге и копию в pdf.

maratovich
У меня есть (отработаны) несколько вариантов оформления и пакетной печати, когда прижмет чужое печатать в большом объеме, обязательно вспомню ваш сайт.
Миниатюры
Нажмите на изображение для увеличения
Название: Image ___2013_05_03___001____.gif
Просмотров: 117
Размер:	1.8 Кб
ID:	102430  

Последний раз редактировалось perpetule, 03.05.2013 в 16:06.
perpetule вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 03.05.2013, 16:04
1 | #36
sasha_lif

Дизайнер-конструктор
 
Регистрация: 29.05.2004
Kiev
Сообщений: 1,181
Отправить сообщение для sasha_lif с помощью ICQ


perpetule, сейчас видео выложу.
http://www.youtube.com/watch?v=4HWgD...ature=youtu.be

Принтер любой. Я посылал на виртуальный PDF Creator Plus, чтобы показать результат.

maratovich, у Вас,я понял, должны быть стандартные масштабы листов?

У меня просто нет требований к масштабу блока- рамки.Задача- чтобы чертеж был максимально крупным в ЛЮБОЙ ПРОИЗВОЛЬНОЙ рамке. В этом ее преимущество..
А я другой прогой расставляю такие блоки с подложкой из синей рамки, лежащей на определенном слое в произвольном масштабе, описывая ее вокруг чертежа

Блин в лиспе из 33 добавляет какие-то свои коды. Скачивайте это:
Вложения
Тип файла: lsp asd.lsp (2.5 Кб, 286 просмотров)
__________________
Kiev, Ukraine

Последний раз редактировалось sasha_lif, 04.06.2013 в 20:23.
sasha_lif вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 03.05.2013, 16:53
#37
perpetule


 
Регистрация: 23.09.2008
Волгоград
Сообщений: 791
Отправить сообщение для perpetule с помощью ICQ Отправить сообщение для perpetule с помощью Skype™


sasha_lif,
Общая мысль - ясна, но у меня не работает
Причем специально даже PDF Creator Plus дернул и назначил НПЛ.
Команда: asd

Выделите чертежи, предназначенные для печати
Выберите объекты: Противоположный угол: найдено: 4

Выберите объекты:
; ошибка: неверный тип аргумента: numberp: nil


Однако есть - другое ограничение, только один формат за цикл печати и неясный но возможный механизм фильтрации форматов/и соотв НПЛ.
Обновил из #36


Команда: _appload asd.lsp успешно загружено.


Команда:
=========== Автоматический поиск и печать чертежей=================
Разработал sasha_lif@rambler.ru
Для запуска наберите asd
Команда:
Команда:
Команда:
Команда: _plot
Команда: asd

Выделите чертежи, предназначенные для печати
Выберите объекты: Противоположный угол: найдено: 6

Выберите объекты:
; ошибка: неверный тип аргумента: numberp: nil

Еще бы файл dwg тестовый - где точно все работает.

Последний раз редактировалось perpetule, 03.05.2013 в 17:07.
perpetule вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 03.05.2013, 17:03
#38
sasha_lif

Дизайнер-конструктор
 
Регистрация: 29.05.2004
Kiev
Сообщений: 1,181
Отправить сообщение для sasha_lif с помощью ICQ


с локализацией что-то не то, скорее всего.Сейчас код пересмотрю. У вас ведь Русский акад?
__________________
Kiev, Ukraine
sasha_lif вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 03.05.2013, 17:07
#39
perpetule


 
Регистрация: 23.09.2008
Волгоград
Сообщений: 791
Отправить сообщение для perpetule с помощью ICQ Отправить сообщение для perpetule с помощью Skype™


sasha_lif,
Да
perpetule вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 03.05.2013, 17:16
1 | #40
sasha_lif

Дизайнер-конструктор
 
Регистрация: 29.05.2004
Kiev
Сообщений: 1,181
Отправить сообщение для sasha_lif с помощью ICQ


Сделал С локализацией
двг бери мой старый

Админу Обратите внимание, у вас на сайте, если в коде lsp есть слово ПОИСК, оно автоматом преобразуется в ссылку и выходит нехорошо. См. пост №33 вконце, 88 строчка
(princ "\n=========== Автоматический <a href="http://forum.dwg.ru/search.php" target="_blank" style="text-decoration: underline;">поиск</a> и печать чертежей=================")
Вложения
Тип файла: lsp asd.lsp (2.5 Кб, 298 просмотров)
__________________
Kiev, Ukraine

Последний раз редактировалось sasha_lif, 03.05.2013 в 17:27.
sasha_lif вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Распечатка нескольких листов одновременно

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Печать в один PDF фаил нескольких листов YuryKlimchuk AutoCAD 103 24.05.2018 20:47
autocad mep 2009, как отправить печать нескольких листов одновременно eugen2002 Вертикальные решения на базе AutoCAD 2 26.01.2012 15:39
Опять про печать из модели нескольких листов gizmo_zx Программирование 2 28.09.2010 12:33
Печать сразу нескольких листов из одного лайаута??? Nik6 Программирование 21 19.02.2009 17:20
Как заменить принтер одновременно у нескольких листов в чертеже. Witalij AutoCAD 6 22.05.2008 09:00

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||